﻿
using CppDepend.PowerTools.Base;
using CppDepend.PowerTools.SharedUtils;

namespace CppDepend.PowerTools.APIChanges {

   class APIChangesPowerTool : IPowerTool {
      public string Name {
         get { return "Public API Changes (including API Breaking Changes)"; }
      }

      public string[] Description {
         get {
            return new[] {
                  "Show API changes and especially highlights API breaking changes.",
                  "Each kind of API change is matched by a CQLinq rule or query",
                  "available in any default CppDepend project.",
               };
         }
      }

 

      public void Run() {
         var compareContext = ProjectAnalysisUtils.GetProjectsToCompareAndAnalyzeThem();
         APIChangesDisplayer.Go(compareContext);
      }

   }

 
}
